# switch-check-button

## Install 
```js
npm install switch-check-button --save
```

## Usage
```vue
<template>
    <SwitchButton :checked="checked" @click.native="clickHandler"></SwitchButton>
</template>

import SwitchButton from 'switch-check-button'

export default {
  // ...
  components: { SwitchButton },
  data() {
    return {
      checked: false
    }
  },
  methods: {
    clickHandler() {
      this.checked = !this.checked
    }
  }
  // ...
}

```

The default Style
![alt text](image.png)

## API 
| key      | value   | information |
| -------- | ------- | ----------- |
| classes  | String  | Customer className  |
| disabled | Boolean | default false, Disabled Status |
| checked  | Boolean | default false, Checked Status |
| checkedText | Array | default ['close', 'open'], index=0 is false text, index=1 is true text|
| showText | Boolean | default false, when true, show text |
|checkedColors | Array | default ['red', 'green']|
